TestPolicy (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.workflow

## Class TestPolicy

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.cloudbus.cloudsim.workflow.Policy
    - - org.cloudbus.cloudsim.workflow.TestPolicy

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler

      public class TestPolicy
      extends Policy

  A class to test basic policy's functionalities such as reading of the XML file. This class is NOT intended to be used in actual simulations.

- - ### Field Summary

    - ### Fields inherited from class org.cloudbus.cloudsim.workflow.Policy

      `modedvfs, optimizeScheduling, ownerId, vmOffers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestPolicy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doScheduling(long availableExecTime, VMOffers vmOffers)` Fills the provisioning and scheduling data structures that are supplied to the Workflow Engine.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class org.cloudbus.cloudsim.workflow.Policy

      `endDocument, getDataRequiredLocation, getProvisioning, getScheduling, printScheduling, processDagFile, startDocument, startElement`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestPolicy

          public TestPolicy()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### doScheduling

          public void doScheduling(long availableExecTime,
                          VMOffers vmOffers)

      Description copied from class: `Policy`
      Fills the provisioning and scheduling data structures that are supplied to the Workflow Engine.
      Specified by:
        `doScheduling` in class `Policy`
      Parameters:
        `availableExecTime` - time before the deadline
        `vmOffers` - the VMOffers object that encapsulates information on available IaaS instances

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.